<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:xmi='http://www.omg.org/XMI'
	xmlns:sysML='http://www.topcased.org/1.0/sysML'
	xmlns:uml='http://www.eclipse.org/uml2/2.1.0/UML'
	exclude-result-prefixes='xsl xmi sysML uml'>

	<xsl:output method="text"/>


	<xsl:template name="person_org_assignment">
		<xsl:variable name="version_offset" select="10"/>
		<xsl:variable name="view_definition_offset" select="20"/>
	
<!--#1390=ORGANIZATION_OR_PERSON_IN_ORGANIZATION_ASSIGNMENT(#1370,'creator',(#10,#20,#50,#60,#90,#100));-->
#80=ORGANIZATION_OR_PERSON_IN_ORGANIZATION_ASSIGNMENT(#16,'creator',(<xsl:for-each select="//packagedElement[@xmi:type='sysML:Requirement'] | //nestedClassifier[@xmi:type='sysML:Requirement']">
			<xsl:variable name="xmi_id">
				<xsl:call-template name="step-xmi-id">
					<xsl:with-param name="xmi_id" select="@xmi:id"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:value-of select="concat('#',$xmi_id,',#',$xmi_id+$version_offset,',#',$xmi_id+$view_definition_offset)"/>,
		</xsl:for-each>
		<xsl:for-each select="//packagedElement[@xmi:type='sysML:Block'] | //nestedClassifier[@xmi:type='sysML:Block']">
			<xsl:variable name="xmi_id">
				<xsl:call-template name="step-xmi-id">
					<xsl:with-param name="xmi_id" select="@xmi:id"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:value-of select="concat('#',$xmi_id,',#',$xmi_id+$version_offset,',#',$xmi_id+$view_definition_offset)"/>
			<xsl:if test="position()!=last()">,</xsl:if>
		</xsl:for-each>));
		<xsl:text>
		</xsl:text>
	</xsl:template>
</xsl:stylesheet>